<?php
include "../../inc/inc.koneksi.php";
session_start();

$kode	=$_POST[kode];
$tanggal=$_POST[tanggal];
$jenis	=$_POST[jenis];
$jmlstok=$_POST[jmlstok];
$hjlama =$_POST[hjlama];
$hjbaru =$_POST[hjbaru];
$hblama =$_POST[hblama];
$hbbaru =$_POST[hbbaru];
$selisih=$_POST[selisih];
$user	=$_SESSION[namauser];

$input = "INSERT INTO ubah_hg (kode_uh,tanggal,jenis,jml_stok,hb_lama,hj_lama,hb_baru,hj_baru,selisih,user) VALUES('$kode','$tanggal','$jenis','$jmlstok','$hblama','$hjlama','$hbbaru','$hjbaru','$selisih','$user')";
mysql_query($input);

// update stok
$sql1 = mysql_query("SELECT * FROM stock WHERE kode_st='$kodest' ORDER BY kode_st");
$r1=mysql_fetch_assoc($sql1);
$input1 = "UPDATE stock SET hg_beli='$hbbaru',hb_akhir='$hbbaru',hg_jual='$hjbaru' WHERE kode_st='$kodest'";
mysql_query($input1);

// update akun persediaan
$sql = mysql_query("SELECT noakun,mutasi_db FROM akun_bb WHERE noakun='$persed' ");
$r = mysql_fetch_assoc($sql);
$debet= $r[mutasi_db]+$selisih;

$input	= "UPDATE akun_bb SET mutasi_db='$debet' WHERE noakun='$persed'";
mysql_query($input);

// buat buku besar persediaan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','UHB','$tanggal','$kode','$persed','$nosubps','$selisih','Perubahan harga $jenis stok $jml_stok liter','$user')");

// update akun laba perubahan harga bbm
$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bb WHERE noakun='$labauh' ");
$r = mysql_fetch_assoc($sql);
$kredit= $r[mutasi_kd]+$selisih;

$input	= "UPDATE akun_bb SET mutasi_kd='$kredit' WHERE noakun='$labauh";
mysql_query($input);

$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bp WHERE noakun='$bplabauh' ");
$r = mysql_fetch_assoc($sql);
$kredit= $r[mutasi_kd]+$selisih;

$input	= "UPDATE akun_bp SET mutasi_kd='$kredit' WHERE noakun='$bplabauh";
mysql_query($input);

// buat buku besar biaya penguapan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kode','UHB','$tanggal','$kode','$labauh','$nosubuh','$bplabauh','$selisih','Perubahan harga $jenis stok $jml_stok liter','$user')");

// update akun laba periode berjalan
$sql = mysql_query("SELECT noakun,mutasi_kd FROM akun_bb WHERE noakun='$labapb' ");
$r = mysql_fetch_assoc($sql);
$kredit = $r[mutasi_kd]+$selisih;

$input	= "UPDATE akun_bb SET mutasi_kd='$kredit' WHERE noakun='$labapb";
mysql_query($input);

// buat buku besar laba periode berjalan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kode','UHB','$tanggal','$kode','$labapb','$nosublp','$selisih','Perubahan harga $jenis stok $jml_stok liter','$user')");

// update akun laba rugi
$sql = mysql_query("SELECT noakun,mutasi_db FROM akun_bb WHERE noakun='$labarugi' ");
$r = mysql_fetch_assoc($sql);
$debet = $r[mutasi_db]+$selisih;

$input	= "UPDATE akun_bb SET mutasi_db='$debet' WHERE noakun='$labarugi";
mysql_query($input);

// buat buku besar laba periode berjalan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','UHB','$tanggal','$kode','$labarugi','$nosublr','$selisih','Perubahan harga $jenis stok $jml_stok liter','$user')");
?>
